Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000599Core InformListspublic2011-03-03 13:142014-05-07 07:33
ReporterVictor Gijsbers 
Assigned Tograham 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinuxOS VersionAny
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000599: Lists starting with the name of an action that takes a noun cannot be sorted in random order.
DescriptionWe can sort lists with "sort L in random order". This does not work if the name of the list starts with the name of an action that takes a noun: lists called "closing arguments", "attacking strategies", and so on, cannot be sorted in random order:

Problem. In the sentence 'sort attacking strategies of Jason in random order'  , I was expecting to read a description of values, but instead found some text that I couldn't understand - 'order'.

Sorting in reverse order remains possible; and the problem does not occur when the action does not take a noun, or the name of the action is not the first word of the name of the list.
Minimal Source Text To Reproduce
Test is a room.

Every turn:
	let closing arguments be {1, 2};
	sort closing arguments in random order. 
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships
child of 0000686closedgraham Umbrella issue: ni misses an alternative parsing of the source text 

-  Notes
(0002381)
graham (administrator)
2014-01-26 08:03

Inform now resolves this particular kind of ambiguity better, and in particular, gets this one right.

- Issue History
Date Modified Username Field Change
2011-03-03 13:14 Victor Gijsbers New Issue
2011-03-03 17:44 jmcgrew Status new => acknowledged
2011-03-04 13:50 EmacsUser Status acknowledged => confirmed
2011-07-02 18:08 EmacsUser Relationship added related to 0000686
2012-04-02 12:00 EmacsUser Relationship replaced child of 0000686
2014-01-26 08:03 graham Note Added: 0002381
2014-01-26 08:03 graham Status confirmed => resolved
2014-01-26 08:03 graham Resolution open => fixed
2014-01-26 08:03 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker